import { Observable } from 'rxjs/Observable';
import { TransportContainer } from '../transport/transport-container';
export declare class File {
    private transport;
    private commandUtil;
    constructor(transport: TransportContainer);
    write(location: string, path: string, file: ArrayBuffer, filePosition?: number): Observable<any>;
    listDir(location: string, path: string): Observable<any>;
    getFileSize(location: string, path: string): Observable<any>;
    delete(location: string, path: string): Observable<any>;
    read(location: string, path: string, filePosition: number, length: number, timeoutOverride?: number): Observable<any>;
    private safeStringBinary(binaryData);
    private genericResponse(command);
}
