import { Observable } from 'rxjs/Observable';
import { GenericInstrument } from '../generic-instrument';
import { TransportContainer } from '../../../transport/transport-container';
export declare class GpioInstrument extends GenericInstrument {
    readonly numChans: number;
    readonly sinkCurrentMax: number;
    readonly sourceCurrentMax: number;
    constructor(_transport: TransportContainer, _gpioInstrumentDescriptor: any);
    setParameters(chans: Array<number>, directions: string[]): Observable<any>;
    write(chans: Array<number>, values: Array<number>): Observable<any>;
    read(chans: Array<number>): any;
}
