"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LoggerAnalogChannel = /** @class */ (function () {
    function LoggerAnalogChannel(loggerChannelDescriptor) {
        this.resolution = 0;
        this.effectiveBits = 0;
        this.bufferSizeMax = 0;
        this.fileSamplesMax = 0;
        this.sampleDataType = "I16";
        this.sampleFreqUnits = 0;
        this.sampleFreqMin = 0;
        this.sampleFreqMax = 0;
        this.delayUnits = 0;
        this.delayMax = 0;
        this.delayMin = 0;
        this.voltageUnits = 0;
        this.adcVpp = 0;
        this.inputVoltageMax = 0;
        this.inputVoltageMin = 0;
        this.gains = [];
        this.resolution = loggerChannelDescriptor.resolution;
        this.effectiveBits = loggerChannelDescriptor.effectiveBits;
        this.bufferSizeMax = loggerChannelDescriptor.bufferSizeMax;
        this.fileSamplesMax = loggerChannelDescriptor.fileSamplesMax;
        this.sampleDataType = loggerChannelDescriptor.sampleDataType;
        this.sampleFreqUnits = loggerChannelDescriptor.sampleFreqUnits;
        this.sampleFreqMin = loggerChannelDescriptor.sampleFreqMin;
        this.sampleFreqMax = loggerChannelDescriptor.sampleFreqMax;
        this.delayUnits = loggerChannelDescriptor.delayUnits;
        this.delayMax = loggerChannelDescriptor.delayMax;
        this.delayMin = loggerChannelDescriptor.delayMin;
        this.voltageUnits = loggerChannelDescriptor.voltageUnits;
        this.adcVpp = loggerChannelDescriptor.adcVpp;
        this.inputVoltageMax = loggerChannelDescriptor.inputVoltageMax;
        this.inputVoltageMin = loggerChannelDescriptor.inputVoltageMin;
        this.gains = loggerChannelDescriptor.gains;
    }
    return LoggerAnalogChannel;
}());
exports.LoggerAnalogChannel = LoggerAnalogChannel;
//# sourceMappingURL=logger-analog-channel.js.map