"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var OscChannel = /** @class */ (function () {
    function OscChannel(oscChannelDescriptor) {
        this.effectiveBits = oscChannelDescriptor.effectiveBits;
        this.bufferSizeMax = oscChannelDescriptor.bufferSizeMax;
        this.bufferDataType = oscChannelDescriptor.bufferDataType;
        this.resolution = oscChannelDescriptor.resolution;
        this.sampleFreqMin = oscChannelDescriptor.sampleFreqMin;
        this.sampleFreqMax = oscChannelDescriptor.sampleFreqMax;
        this.adcVpp = oscChannelDescriptor.adcVpp;
        this.inputVoltageMax = oscChannelDescriptor.inputVoltageMax;
        this.inputVoltageMin = oscChannelDescriptor.inputVoltageMin;
        this.gains = oscChannelDescriptor.gains;
        this.delayMax = oscChannelDescriptor.delayMax;
        this.delayMin = oscChannelDescriptor.delayMin;
    }
    return OscChannel;
}());
exports.OscChannel = OscChannel;
//# sourceMappingURL=osc-channel.js.map