import { SimulatedDeviceHelper } from '../simulated-device-helper';
export declare class SimulatedGpio {
    private simulatedDevice;
    private values;
    private directions;
    private counter;
    private prevChannel;
    constructor(_simulatedDevice: SimulatedDeviceHelper);
    counterVal(_chan: any): void;
    read(_chan: any): {
        command: string;
        value: number;
        direction: string;
        statusCode: number;
        wait: number;
    };
    write(_chan: any, _value: any): {
        command: string;
        statusCode: number;
        wait: number;
    };
    setParameters(_chan: any, _direction: any): {
        command: string;
        statusCode: number;
        wait: number;
    };
}
