import { Observable } from 'rxjs/Observable';
import { GenericTransport } from './generic-transport';
export declare class HttpTransport extends GenericTransport {
    private streamState;
    private start;
    private finish;
    private timeout;
    private timeoutMinMs;
    private timeoutMaxMs;
    constructor(_rootUri: string, timeout: number);
    getUri(): string;
    setTimeout(newTimeout: number): void;
    private forceRange(val, min, max);
    getRequest(requestUrl: string, timeout?: number): Observable<any>;
    writeRead(endpoint: string, sendData: any, dataType: 'json' | 'binary', timeoutOverride?: number): Observable<any>;
    writeReadHelper(rootUri: string, endpoint: string, sendData: any, dataType: 'json' | 'binary', timeout?: number): Observable<any>;
    streamFrom(endpoint: string, sendData: any, dataType: string, delay?: number): Observable<any>;
    stopStream(): void;
    getType(): string;
}
