import { Observable } from 'rxjs/Observable';
import { GenericTransport } from './generic-transport';
import { SimulatedDevice } from '../simulated-device/simulated-device';
export declare class LocalTransport extends GenericTransport {
    streamState: {
        mode: string;
        remainingSamples: number;
    };
    simulatedDevice: SimulatedDevice;
    constructor(deviceEnumeration: string);
    getUri(): string;
    setTimeout(newTimeout: number): void;
    getRequest(requestUrl: string, timeout?: number): any;
    writeRead(endpoint: string, sendData: any, dataType: string): Observable<any>;
    writeReadHelper(rootUri: string, endpoint: string, sendData: any, dataType: string): Observable<any>;
    streamFrom(endpoint: string, sendData: any, dataType: string, delay?: number): Observable<any>;
    stopStream(): void;
    getType(): string;
}
