import { Observable } from 'rxjs/Observable';
import { GenericTransport } from './generic-transport';
export declare class TransportContainer {
    transport: GenericTransport;
    private httpTimeout;
    constructor(_uri: string, httpTimeout: number);
    setUri(uri: any): void;
    getUri(): string;
    getRequest(requestUrl: string, timeout?: number): Observable<any>;
    writeRead(endpoint: string, sendData: any, dataType: string, timeoutOverride?: number): Observable<any>;
    streamFrom(endpoint: string, sendData: Object, dataType: string, delay?: number): Observable<any>;
    stopStream(): void;
    getType(): string;
    setHttpTransport(uri: any): void;
    setLocalTransport(deviceEnumeration: string): void;
    setHttpTimeout(newHttpTimeout: number): void;
}
