export declare class Waveform {
    readonly t0: number;
    readonly dt: number;
    readonly y: Array<number>;
    readonly data: Array<number[]>;
    readonly pointOfInterest: number;
    readonly triggerPosition: number;
    readonly seriesOffset: number;
    readonly triggerDelay: number;
    constructor(waveformDescriptor: WaveformDescriptor);
}
export interface WaveformDescriptor {
    dt: number;
    y: number[];
    pointOfInterest: number;
    triggerPosition: number;
    seriesOffset: number;
    t0: number;
    data: number[][];
    triggerDelay: number;
}
