import { Observable } from 'rxjs/Observable';
import { GenericInstrument } from '../generic-instrument';
import { DcChannel } from './dc-channel';
import { TransportContainer } from '../../../transport/transport-container';
export declare class DcInstrument extends GenericInstrument {
    readonly chans: DcChannel[];
    readonly numChans: number;
    constructor(_transport: TransportContainer, _dcInstrumentDescriptor: any);
    getVoltagesJson(chans: any): {
        "dc": {};
    };
    getVoltageParse(chan: any, responseObject: any): string;
    setVoltagesJson(chans: any, voltages: any): {
        "dc": {};
    };
    setVoltageParse(chan: any, responseObject: any): string;
    getVoltages(chans: Array<number>): Observable<any>;
    setVoltages(chans: Array<number>, voltages: Array<number>): Observable<any>;
    private streamReadVoltages(chans, delay?);
    private stopStream();
}
