export declare class LoggerAnalogChannel {
    readonly resolution: number;
    readonly effectiveBits: number;
    readonly bufferSizeMax: number;
    readonly fileSamplesMax: number;
    readonly sampleDataType: string;
    readonly sampleFreqUnits: number;
    readonly sampleFreqMin: number;
    readonly sampleFreqMax: number;
    readonly delayUnits: number;
    readonly delayMax: number;
    readonly delayMin: number;
    readonly voltageUnits: number;
    readonly adcVpp: number;
    readonly inputVoltageMax: number;
    readonly inputVoltageMin: number;
    readonly gains: number[];
    constructor(loggerChannelDescriptor: any);
}
