"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var logger_analog_instrument_1 = require("./analog/logger-analog-instrument");
var logger_digital_instrument_1 = require("./digital/logger-digital-instrument");
var LoggerInstrument = /** @class */ (function () {
    function LoggerInstrument(_transport, _loggerInstrumentDescriptor) {
        this.analog = new logger_analog_instrument_1.LoggerAnalogInstrument(_transport, _loggerInstrumentDescriptor == undefined ? undefined : _loggerInstrumentDescriptor.analog);
        this.digital = new logger_digital_instrument_1.LoggerDigitalInstrument(_transport, _loggerInstrumentDescriptor == undefined ? undefined : _loggerInstrumentDescriptor.digital);
    }
    return LoggerInstrument;
}());
exports.LoggerInstrument = LoggerInstrument;
//# sourceMappingURL=logger-instrument.js.map