import { Observable } from 'rxjs/Observable';
import { GenericInstrument } from '../generic-instrument';
import { TriggerChannel } from './trigger-channel';
import { TransportContainer } from '../../../transport/transport-container';
export declare class TriggerInstrument extends GenericInstrument {
    readonly numChans: number;
    readonly chans: TriggerChannel[];
    constructor(_transport: TransportContainer, _triggerInstrumentDescriptor: any);
    setParametersJson(chans: number[], sources: Object[], targetsArray: Object[]): {
        "trigger": {};
    };
    setParametersParse(chan: any, command: any): string;
    setParameters(chans: number[], sources: Object[], targetsArray: Object[]): Observable<any>;
    getCurrentState(chans: number[]): Observable<any>;
    getCurrentStateJson(chans: number[]): {
        trigger: {};
    };
    getCurrentStateParse(chan: any, responseObject: any): string;
    singleJson(chans: number[]): {
        "trigger": {};
    };
    singleParse(chan: any, command: any): string;
    single(chans: number[]): Observable<any>;
    stopJson(chans: number[]): {
        trigger: {};
    };
    stopParse(chan: any, command: any): string;
    stop(chans: number[]): Observable<any>;
    forceTriggerJson(chans: number[]): {
        "trigger": {};
    };
    forceTriggerParse(chan: any, command: any): string;
    forceTrigger(chans: number[]): Observable<any>;
}
