import { SimulatedDeviceHelper } from '../simulated-device-helper';
export declare class SimulatedAwg {
    private simulatedDevice;
    private signalTypes;
    private signalFreqs;
    private vpps;
    private vOffsets;
    constructor(_simulatedDevice: SimulatedDeviceHelper);
    setArbitraryWaveform(chan: any): {
        statusCode: number;
        wait: number;
    };
    setRegularWaveform(chan: any, commandObject: any): {
        "command": string;
        "statusCode": number;
        "actualSignalFreq": any;
        "actualVpp": any;
        "actualVOffset": any;
        "wait": number;
    };
    run(chan: any): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
    stop(chan: any): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
}
