"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SimulatedDc = /** @class */ (function () {
    function SimulatedDc(_simulatedDevice) {
        this.voltages = [0, 0, 0, 0, 0, 0, 0, 0];
        this.simulatedDevice = _simulatedDevice;
    }
    SimulatedDc.prototype.getVoltage = function (_chan) {
        return {
            command: 'getVoltage',
            voltage: this.voltages[_chan],
            statusCode: 0,
            wait: 100
        };
    };
    SimulatedDc.prototype.setVoltage = function (_chan, _voltage) {
        this.voltages[_chan] = _voltage;
        return {
            command: 'setVoltage',
            statusCode: 0,
            wait: 0
        };
    };
    return SimulatedDc;
}());
exports.SimulatedDc = SimulatedDc;
//# sourceMappingURL=simulated-dc.js.map