import { SimulatedDeviceHelper } from '../simulated-device-helper';
export declare class SimulatedTrigger {
    private simulatedDevice;
    private sources;
    targets: Object;
    constructor(_simulatedDevice: SimulatedDeviceHelper);
    setParameters(chan: any, source: any, targets: any): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
    single(): {
        "command": string;
        "statusCode": number;
        "wait": number;
        "acqCount": number;
    };
    stop(): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
    forceTrigger(): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
}
