export declare class SimulatedDeviceHelper {
    constructor();
    private enumeration;
    private signalTypes;
    private signalFreqs;
    private vpps;
    private vOffsets;
    private oscSampleFreqs;
    private oscBufferSizes;
    private laSampleFreqs;
    private laBufferSizes;
    private targets;
    private triggerArmed;
    setEnumeration(enumeration: any): void;
    getEnumeration(): any;
    setTriggerArmed(triggerArmed: boolean): void;
    getTriggerArmed(): boolean;
    setAwgSettings(settings: any, channel: number): void;
    getAwgSettings(channel: number): {
        signalType: string;
        signalFreq: number;
        vpp: number;
        vOffset: number;
    };
    setOscParameters(parameters: any, channel: number): void;
    getOscParameters(channel: number): {
        sampleFreq: number;
        bufferSize: number;
    };
    setLaParameters(parameters: any, channel: number): void;
    getLaParameters(channel: number): {
        sampleFreq: number;
        bufferSize: number;
    };
    setTriggerTargets(targets: any): void;
    getTriggerTargets(): any;
}
