import { Observable } from 'rxjs/Observable';
export declare abstract class GenericTransport {
    protected rootUri: string;
    constructor();
    abstract writeRead(endpoint: string, sendData: any, dataType: string, timeoutOverride?: number): Observable<any>;
    abstract streamFrom(endpoint: string, sendData: any, dataType: string, delay?: number): Observable<any>;
    abstract stopStream(): void;
    abstract getRequest(requestUrl: string, timeout?: number): Observable<any>;
    abstract setTimeout(newTimeout: number): void;
    setUri(_rootUri: string): void;
    getUri(): string;
    getType(): string;
}
