import { Observable } from 'rxjs/Observable';
export declare class CommandUtility {
    constructor();
    parseChunkedTransfer(data: any): Promise<any>;
    observableParseChunkedTransfer(data: any, typedArrayFormat?: 'i16' | 'u8'): Observable<any>;
    private _getChunkLength(chunkString);
    private _findNewLineChar(maxLength, data, startIndex);
    createInt16ArrayBuffer(array: number[]): ArrayBuffer;
    createArrayBufferFromString(source: string): ArrayBuffer;
    createChunkedArrayBuffer(jsonObject: any, arrayBuffer: ArrayBuffer): Uint8Array;
}
